import { App } from 'vue';
import { ComponentsConfig, setConfig } from './config';
interface PluginOption {
    components?: Partial<ComponentsConfig>;
}
export const FormBuilderPlugin = {
    install: (app: App, options: PluginOption) => {
        Object.entries(options.components ?? {}).forEach(([key, value]) => {
            setConfig(key as keyof ComponentsConfig, value);
        });
    },
};
// export {
//     FormBuilder,
//     ArrayWidgetVue,
//     DateTimeWidgetVue,
//     NumberWidgetVue,
//     ObjectWidgetVue,
//     StringWidgetVue,
//     TextAreaWidgetVue,
//     BooleanWidgetVue,
// };
// export * from './FormBuilder.interface';
// export * from './widgets/FormWidget';
// export * from './widgets/ArrayWidget.config';
// export * from './widgets/DateTimeWidget.config';
// export * from './widgets/NumberWidget.config';
// export * from './widgets/StringWidget.config';
// export * from './widgets/BooleanWidget.config';
// export * from './config';
// export * from './utils/columns.utils';
// export * from './utils/defineForm.utils';
// export * from './widgets';
