export interface FileWidgetProp {
    fileSizeBytesLimit?: number;
    fileSizeBytesLimitText?: (limit: number) => string;
    fileNumberLimit?: number;
    fileSizeBytesLimitErr?: string;
    fileNumberLimitText?: (limit: number) => string;
    fileNumberLimitErr?: string;
    fileRequiredErr?: string;
    empty?: string;
    uploadText?: string;
    uploadButton?: false | string;
    uploadFn?: (file: File, progress: (percentage: number) => void) => Promise<any>;
    autoUpload?: boolean;
}
export interface FileWidgetExposed {
    upload: () => Promise<void>;
    clear: () => void;
}

export interface FileState {
    image?: string;
    progress?: number;
    error?: string;
}
